package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机内存基本信息类
 *
 * @author Shaolong_tan
 */
public class MemoryBasic {
    /**
     * 错误纠正方式
     */
    private String errorCorrectionType;
    /**
     * 错误信息处理
     */
    private String errorInfoHandle;
    /**
     * 安装位置
     */
    private String location;
    /**
     * 最大容量
     */
    private String maxCapacity;
    /**
     * 安装的内存插槽数
     */
    private String slot;
    /**
     * 安装的内存容量
     */
    private String capacity;
    /**
     * 物理内存条数目
     */
    private String devicesNumber;
    /**
     * 使用方式
     */
    private String use;

    /**
     * @return the errorCorrectionType
     */
    public String getErrorCorrectionType() {
        return errorCorrectionType;
    }

    /**
     * @param errorCorrectionType the errorCorrectionType to set
     */
    public void setErrorCorrectionType(String errorCorrectionType) {
        this.errorCorrectionType = errorCorrectionType;
    }

    /**
     * @return the errorInfoHandle
     */
    public String getErrorInfoHandle() {
        return errorInfoHandle;
    }

    /**
     * @param errorInfoHandle the errorInfoHandle to set
     */
    public void setErrorInfoHandle(String errorInfoHandle) {
        this.errorInfoHandle = errorInfoHandle;
    }

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return the maxCapacity
     */
    public String getMaxCapacity() {
        return maxCapacity;
    }

    /**
     * @param maxCapacity the maxCapacity to set
     */
    public void setMaxCapacity(String maxCapacity) {
        this.maxCapacity = maxCapacity;
    }

    /**
     * @return the devicesNumber
     */
    public String getDevicesNumber() {
        return devicesNumber;
    }

    /**
     * @param devicesNumber the devicesNumber to set
     */
    public void setDevicesNumber(String devicesNumber) {
        this.devicesNumber = devicesNumber;
    }

    /**
     * @return the use
     */
    public String getUse() {
        return use;
    }

    /**
     * @param use the use to set
     */
    public void setUse(String use) {
        this.use = use;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getSlot() {
        return slot;
    }

    public void setSlot(String slot) {
        this.slot = slot;
    }
}
